Name:          maven-processor-plugin
Version:       2.0.5
Release:       3%{?dist}
Summary:       Maven Processor Plugin
Group:         Development/Libraries
# some classes and pom file are annotated with ASL 2.0
# and the site here it is hosted says "GNU Lesser GPL"
# contacted the project owner (available in POM) and clarified the license status in LGPLv3
License:       LGPLv3 and ASL 2.0
Url:           http://code.google.com/p/maven-annotation-plugin/
# svn export http://maven-annotation-plugin.googlecode.com/svn/tags/maven-processor-plugin-2.0.5
# tar czf maven-processor-plugin-2.0.5-src-svn.tar.gz maven-processor-plugin-2.0.5
Source0:       %{name}-%{version}-src-svn.tar.gz
# remove 
# org.jvnet.wagon-svn wagon-svn 1.8
# com.vineetmanohar maven-twitter-plugin 0.1
Patch0:        %{name}-%{version}-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4
BuildRequires: maven

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      maven

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A maven plugin to process annotation for jdk6 at compile time

This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler

This plugin could be considered the 'alter ego' of maven apt plugin.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 gil cattaneo <puntogil@libero.it> 2.0.5-2
- fix summary
- fix license

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm